IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network227.232.2.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
227.232.2.0- Broadcast address
227.232.2.255- First usable
227.232.2.1- Last usable
227.232.2.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E3E80200· Integer3823632896to3823633151 - Reverse DNS zone
2.232.227.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100011.11101000.00000010..00000000 | 227.232.2.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 11100011.11101000.00000010..00000000 | 227.232.2.0 |
| Broadcast | 11100011.11101000.00000010..11111111 | 227.232.2.255 |
Split into smaller subnets
227.232.2.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 227.232.2.0/32 | 227.232.2.0 to 227.232.2.0 | — | 1 |
| 2 | 227.232.2.1/32 | 227.232.2.1 to 227.232.2.1 | — | 1 |
| 3 | 227.232.2.2/32 | 227.232.2.2 to 227.232.2.2 | — | 1 |
| 4 | 227.232.2.3/32 | 227.232.2.3 to 227.232.2.3 | — | 1 |
| 5 | 227.232.2.4/32 | 227.232.2.4 to 227.232.2.4 | — | 1 |
| 6 | 227.232.2.5/32 | 227.232.2.5 to 227.232.2.5 | — | 1 |
| 7 | 227.232.2.6/32 | 227.232.2.6 to 227.232.2.6 | — | 1 |
| 8 | 227.232.2.7/32 | 227.232.2.7 to 227.232.2.7 | — | 1 |
| 9 | 227.232.2.8/32 | 227.232.2.8 to 227.232.2.8 | — | 1 |
| 10 | 227.232.2.9/32 | 227.232.2.9 to 227.232.2.9 | — | 1 |
| 11 | 227.232.2.10/32 | 227.232.2.10 to 227.232.2.10 | — | 1 |
| 12 | 227.232.2.11/32 | 227.232.2.11 to 227.232.2.11 | — | 1 |
| 13 | 227.232.2.12/32 | 227.232.2.12 to 227.232.2.12 | — | 1 |
| 14 | 227.232.2.13/32 | 227.232.2.13 to 227.232.2.13 | — | 1 |
| 15 | 227.232.2.14/32 | 227.232.2.14 to 227.232.2.14 | — | 1 |
| 16 | 227.232.2.15/32 | 227.232.2.15 to 227.232.2.15 | — | 1 |
| 17 | 227.232.2.16/32 | 227.232.2.16 to 227.232.2.16 | — | 1 |
| 18 | 227.232.2.17/32 | 227.232.2.17 to 227.232.2.17 | — | 1 |
| 19 | 227.232.2.18/32 | 227.232.2.18 to 227.232.2.18 | — | 1 |
| 20 | 227.232.2.19/32 | 227.232.2.19 to 227.232.2.19 | — | 1 |
| 21 | 227.232.2.20/32 | 227.232.2.20 to 227.232.2.20 | — | 1 |
| 22 | 227.232.2.21/32 | 227.232.2.21 to 227.232.2.21 | — | 1 |
| 23 | 227.232.2.22/32 | 227.232.2.22 to 227.232.2.22 | — | 1 |
| 24 | 227.232.2.23/32 | 227.232.2.23 to 227.232.2.23 | — | 1 |
| 25 | 227.232.2.24/32 | 227.232.2.24 to 227.232.2.24 | — | 1 |
| 26 | 227.232.2.25/32 | 227.232.2.25 to 227.232.2.25 | — | 1 |
| 27 | 227.232.2.26/32 | 227.232.2.26 to 227.232.2.26 | — | 1 |
| 28 | 227.232.2.27/32 | 227.232.2.27 to 227.232.2.27 | — | 1 |
| 29 | 227.232.2.28/32 | 227.232.2.28 to 227.232.2.28 | — | 1 |
| 30 | 227.232.2.29/32 | 227.232.2.29 to 227.232.2.29 | — | 1 |
| 31 | 227.232.2.30/32 | 227.232.2.30 to 227.232.2.30 | — | 1 |
| 32 | 227.232.2.31/32 | 227.232.2.31 to 227.232.2.31 | — | 1 |
| 33 | 227.232.2.32/32 | 227.232.2.32 to 227.232.2.32 | — | 1 |
| 34 | 227.232.2.33/32 | 227.232.2.33 to 227.232.2.33 | — | 1 |
| 35 | 227.232.2.34/32 | 227.232.2.34 to 227.232.2.34 | — | 1 |
| 36 | 227.232.2.35/32 | 227.232.2.35 to 227.232.2.35 | — | 1 |
| 37 | 227.232.2.36/32 | 227.232.2.36 to 227.232.2.36 | — | 1 |
| 38 | 227.232.2.37/32 | 227.232.2.37 to 227.232.2.37 | — | 1 |
| 39 | 227.232.2.38/32 | 227.232.2.38 to 227.232.2.38 | — | 1 |
| 40 | 227.232.2.39/32 | 227.232.2.39 to 227.232.2.39 | — | 1 |
| 41 | 227.232.2.40/32 | 227.232.2.40 to 227.232.2.40 | — | 1 |
| 42 | 227.232.2.41/32 | 227.232.2.41 to 227.232.2.41 | — | 1 |
| 43 | 227.232.2.42/32 | 227.232.2.42 to 227.232.2.42 | — | 1 |
| 44 | 227.232.2.43/32 | 227.232.2.43 to 227.232.2.43 | — | 1 |
| 45 | 227.232.2.44/32 | 227.232.2.44 to 227.232.2.44 | — | 1 |
| 46 | 227.232.2.45/32 | 227.232.2.45 to 227.232.2.45 | — | 1 |
| 47 | 227.232.2.46/32 | 227.232.2.46 to 227.232.2.46 | — | 1 |
| 48 | 227.232.2.47/32 | 227.232.2.47 to 227.232.2.47 | — | 1 |
| 49 | 227.232.2.48/32 | 227.232.2.48 to 227.232.2.48 | — | 1 |
| 50 | 227.232.2.49/32 | 227.232.2.49 to 227.232.2.49 | — | 1 |
| 51 | 227.232.2.50/32 | 227.232.2.50 to 227.232.2.50 | — | 1 |
| 52 | 227.232.2.51/32 | 227.232.2.51 to 227.232.2.51 | — | 1 |
| 53 | 227.232.2.52/32 | 227.232.2.52 to 227.232.2.52 | — | 1 |
| 54 | 227.232.2.53/32 | 227.232.2.53 to 227.232.2.53 | — | 1 |
| 55 | 227.232.2.54/32 | 227.232.2.54 to 227.232.2.54 | — | 1 |
| 56 | 227.232.2.55/32 | 227.232.2.55 to 227.232.2.55 | — | 1 |
| 57 | 227.232.2.56/32 | 227.232.2.56 to 227.232.2.56 | — | 1 |
| 58 | 227.232.2.57/32 | 227.232.2.57 to 227.232.2.57 | — | 1 |
| 59 | 227.232.2.58/32 | 227.232.2.58 to 227.232.2.58 | — | 1 |
| 60 | 227.232.2.59/32 | 227.232.2.59 to 227.232.2.59 | — | 1 |
| 61 | 227.232.2.60/32 | 227.232.2.60 to 227.232.2.60 | — | 1 |
| 62 | 227.232.2.61/32 | 227.232.2.61 to 227.232.2.61 | — | 1 |
| 63 | 227.232.2.62/32 | 227.232.2.62 to 227.232.2.62 | — | 1 |
| 64 | 227.232.2.63/32 | 227.232.2.63 to 227.232.2.63 | — | 1 |
| 65 | 227.232.2.64/32 | 227.232.2.64 to 227.232.2.64 | — | 1 |
| 66 | 227.232.2.65/32 | 227.232.2.65 to 227.232.2.65 | — | 1 |
| 67 | 227.232.2.66/32 | 227.232.2.66 to 227.232.2.66 | — | 1 |
| 68 | 227.232.2.67/32 | 227.232.2.67 to 227.232.2.67 | — | 1 |
| 69 | 227.232.2.68/32 | 227.232.2.68 to 227.232.2.68 | — | 1 |
| 70 | 227.232.2.69/32 | 227.232.2.69 to 227.232.2.69 | — | 1 |
| 71 | 227.232.2.70/32 | 227.232.2.70 to 227.232.2.70 | — | 1 |
| 72 | 227.232.2.71/32 | 227.232.2.71 to 227.232.2.71 | — | 1 |
| 73 | 227.232.2.72/32 | 227.232.2.72 to 227.232.2.72 | — | 1 |
| 74 | 227.232.2.73/32 | 227.232.2.73 to 227.232.2.73 | — | 1 |
| 75 | 227.232.2.74/32 | 227.232.2.74 to 227.232.2.74 | — | 1 |
| 76 | 227.232.2.75/32 | 227.232.2.75 to 227.232.2.75 | — | 1 |
| 77 | 227.232.2.76/32 | 227.232.2.76 to 227.232.2.76 | — | 1 |
| 78 | 227.232.2.77/32 | 227.232.2.77 to 227.232.2.77 | — | 1 |
| 79 | 227.232.2.78/32 | 227.232.2.78 to 227.232.2.78 | — | 1 |
| 80 | 227.232.2.79/32 | 227.232.2.79 to 227.232.2.79 | — | 1 |
| 81 | 227.232.2.80/32 | 227.232.2.80 to 227.232.2.80 | — | 1 |
| 82 | 227.232.2.81/32 | 227.232.2.81 to 227.232.2.81 | — | 1 |
| 83 | 227.232.2.82/32 | 227.232.2.82 to 227.232.2.82 | — | 1 |
| 84 | 227.232.2.83/32 | 227.232.2.83 to 227.232.2.83 | — | 1 |
| 85 | 227.232.2.84/32 | 227.232.2.84 to 227.232.2.84 | — | 1 |
| 86 | 227.232.2.85/32 | 227.232.2.85 to 227.232.2.85 | — | 1 |
| 87 | 227.232.2.86/32 | 227.232.2.86 to 227.232.2.86 | — | 1 |
| 88 | 227.232.2.87/32 | 227.232.2.87 to 227.232.2.87 | — | 1 |
| 89 | 227.232.2.88/32 | 227.232.2.88 to 227.232.2.88 | — | 1 |
| 90 | 227.232.2.89/32 | 227.232.2.89 to 227.232.2.89 | — | 1 |
| 91 | 227.232.2.90/32 | 227.232.2.90 to 227.232.2.90 | — | 1 |
| 92 | 227.232.2.91/32 | 227.232.2.91 to 227.232.2.91 | — | 1 |
| 93 | 227.232.2.92/32 | 227.232.2.92 to 227.232.2.92 | — | 1 |
| 94 | 227.232.2.93/32 | 227.232.2.93 to 227.232.2.93 | — | 1 |
| 95 | 227.232.2.94/32 | 227.232.2.94 to 227.232.2.94 | — | 1 |
| 96 | 227.232.2.95/32 | 227.232.2.95 to 227.232.2.95 | — | 1 |
| 97 | 227.232.2.96/32 | 227.232.2.96 to 227.232.2.96 | — | 1 |
| 98 | 227.232.2.97/32 | 227.232.2.97 to 227.232.2.97 | — | 1 |
| 99 | 227.232.2.98/32 | 227.232.2.98 to 227.232.2.98 | — | 1 |
| 100 | 227.232.2.99/32 | 227.232.2.99 to 227.232.2.99 | — | 1 |
| 101 | 227.232.2.100/32 | 227.232.2.100 to 227.232.2.100 | — | 1 |
| 102 | 227.232.2.101/32 | 227.232.2.101 to 227.232.2.101 | — | 1 |
| 103 | 227.232.2.102/32 | 227.232.2.102 to 227.232.2.102 | — | 1 |
| 104 | 227.232.2.103/32 | 227.232.2.103 to 227.232.2.103 | — | 1 |
| 105 | 227.232.2.104/32 | 227.232.2.104 to 227.232.2.104 | — | 1 |
| 106 | 227.232.2.105/32 | 227.232.2.105 to 227.232.2.105 | — | 1 |
| 107 | 227.232.2.106/32 | 227.232.2.106 to 227.232.2.106 | — | 1 |
| 108 | 227.232.2.107/32 | 227.232.2.107 to 227.232.2.107 | — | 1 |
| 109 | 227.232.2.108/32 | 227.232.2.108 to 227.232.2.108 | — | 1 |
| 110 | 227.232.2.109/32 | 227.232.2.109 to 227.232.2.109 | — | 1 |
| 111 | 227.232.2.110/32 | 227.232.2.110 to 227.232.2.110 | — | 1 |
| 112 | 227.232.2.111/32 | 227.232.2.111 to 227.232.2.111 | — | 1 |
| 113 | 227.232.2.112/32 | 227.232.2.112 to 227.232.2.112 | — | 1 |
| 114 | 227.232.2.113/32 | 227.232.2.113 to 227.232.2.113 | — | 1 |
| 115 | 227.232.2.114/32 | 227.232.2.114 to 227.232.2.114 | — | 1 |
| 116 | 227.232.2.115/32 | 227.232.2.115 to 227.232.2.115 | — | 1 |
| 117 | 227.232.2.116/32 | 227.232.2.116 to 227.232.2.116 | — | 1 |
| 118 | 227.232.2.117/32 | 227.232.2.117 to 227.232.2.117 | — | 1 |
| 119 | 227.232.2.118/32 | 227.232.2.118 to 227.232.2.118 | — | 1 |
| 120 | 227.232.2.119/32 | 227.232.2.119 to 227.232.2.119 | — | 1 |
| 121 | 227.232.2.120/32 | 227.232.2.120 to 227.232.2.120 | — | 1 |
| 122 | 227.232.2.121/32 | 227.232.2.121 to 227.232.2.121 | — | 1 |
| 123 | 227.232.2.122/32 | 227.232.2.122 to 227.232.2.122 | — | 1 |
| 124 | 227.232.2.123/32 | 227.232.2.123 to 227.232.2.123 | — | 1 |
| 125 | 227.232.2.124/32 | 227.232.2.124 to 227.232.2.124 | — | 1 |
| 126 | 227.232.2.125/32 | 227.232.2.125 to 227.232.2.125 | — | 1 |
| 127 | 227.232.2.126/32 | 227.232.2.126 to 227.232.2.126 | — | 1 |
| 128 | 227.232.2.127/32 | 227.232.2.127 to 227.232.2.127 | — | 1 |
| 129 | 227.232.2.128/32 | 227.232.2.128 to 227.232.2.128 | — | 1 |
| 130 | 227.232.2.129/32 | 227.232.2.129 to 227.232.2.129 | — | 1 |
| 131 | 227.232.2.130/32 | 227.232.2.130 to 227.232.2.130 | — | 1 |
| 132 | 227.232.2.131/32 | 227.232.2.131 to 227.232.2.131 | — | 1 |
| 133 | 227.232.2.132/32 | 227.232.2.132 to 227.232.2.132 | — | 1 |
| 134 | 227.232.2.133/32 | 227.232.2.133 to 227.232.2.133 | — | 1 |
| 135 | 227.232.2.134/32 | 227.232.2.134 to 227.232.2.134 | — | 1 |
| 136 | 227.232.2.135/32 | 227.232.2.135 to 227.232.2.135 | — | 1 |
| 137 | 227.232.2.136/32 | 227.232.2.136 to 227.232.2.136 | — | 1 |
| 138 | 227.232.2.137/32 | 227.232.2.137 to 227.232.2.137 | — | 1 |
| 139 | 227.232.2.138/32 | 227.232.2.138 to 227.232.2.138 | — | 1 |
| 140 | 227.232.2.139/32 | 227.232.2.139 to 227.232.2.139 | — | 1 |
| 141 | 227.232.2.140/32 | 227.232.2.140 to 227.232.2.140 | — | 1 |
| 142 | 227.232.2.141/32 | 227.232.2.141 to 227.232.2.141 | — | 1 |
| 143 | 227.232.2.142/32 | 227.232.2.142 to 227.232.2.142 | — | 1 |
| 144 | 227.232.2.143/32 | 227.232.2.143 to 227.232.2.143 | — | 1 |
| 145 | 227.232.2.144/32 | 227.232.2.144 to 227.232.2.144 | — | 1 |
| 146 | 227.232.2.145/32 | 227.232.2.145 to 227.232.2.145 | — | 1 |
| 147 | 227.232.2.146/32 | 227.232.2.146 to 227.232.2.146 | — | 1 |
| 148 | 227.232.2.147/32 | 227.232.2.147 to 227.232.2.147 | — | 1 |
| 149 | 227.232.2.148/32 | 227.232.2.148 to 227.232.2.148 | — | 1 |
| 150 | 227.232.2.149/32 | 227.232.2.149 to 227.232.2.149 | — | 1 |
| 151 | 227.232.2.150/32 | 227.232.2.150 to 227.232.2.150 | — | 1 |
| 152 | 227.232.2.151/32 | 227.232.2.151 to 227.232.2.151 | — | 1 |
| 153 | 227.232.2.152/32 | 227.232.2.152 to 227.232.2.152 | — | 1 |
| 154 | 227.232.2.153/32 | 227.232.2.153 to 227.232.2.153 | — | 1 |
| 155 | 227.232.2.154/32 | 227.232.2.154 to 227.232.2.154 | — | 1 |
| 156 | 227.232.2.155/32 | 227.232.2.155 to 227.232.2.155 | — | 1 |
| 157 | 227.232.2.156/32 | 227.232.2.156 to 227.232.2.156 | — | 1 |
| 158 | 227.232.2.157/32 | 227.232.2.157 to 227.232.2.157 | — | 1 |
| 159 | 227.232.2.158/32 | 227.232.2.158 to 227.232.2.158 | — | 1 |
| 160 | 227.232.2.159/32 | 227.232.2.159 to 227.232.2.159 | — | 1 |
| 161 | 227.232.2.160/32 | 227.232.2.160 to 227.232.2.160 | — | 1 |
| 162 | 227.232.2.161/32 | 227.232.2.161 to 227.232.2.161 | — | 1 |
| 163 | 227.232.2.162/32 | 227.232.2.162 to 227.232.2.162 | — | 1 |
| 164 | 227.232.2.163/32 | 227.232.2.163 to 227.232.2.163 | — | 1 |
| 165 | 227.232.2.164/32 | 227.232.2.164 to 227.232.2.164 | — | 1 |
| 166 | 227.232.2.165/32 | 227.232.2.165 to 227.232.2.165 | — | 1 |
| 167 | 227.232.2.166/32 | 227.232.2.166 to 227.232.2.166 | — | 1 |
| 168 | 227.232.2.167/32 | 227.232.2.167 to 227.232.2.167 | — | 1 |
| 169 | 227.232.2.168/32 | 227.232.2.168 to 227.232.2.168 | — | 1 |
| 170 | 227.232.2.169/32 | 227.232.2.169 to 227.232.2.169 | — | 1 |
| 171 | 227.232.2.170/32 | 227.232.2.170 to 227.232.2.170 | — | 1 |
| 172 | 227.232.2.171/32 | 227.232.2.171 to 227.232.2.171 | — | 1 |
| 173 | 227.232.2.172/32 | 227.232.2.172 to 227.232.2.172 | — | 1 |
| 174 | 227.232.2.173/32 | 227.232.2.173 to 227.232.2.173 | — | 1 |
| 175 | 227.232.2.174/32 | 227.232.2.174 to 227.232.2.174 | — | 1 |
| 176 | 227.232.2.175/32 | 227.232.2.175 to 227.232.2.175 | — | 1 |
| 177 | 227.232.2.176/32 | 227.232.2.176 to 227.232.2.176 | — | 1 |
| 178 | 227.232.2.177/32 | 227.232.2.177 to 227.232.2.177 | — | 1 |
| 179 | 227.232.2.178/32 | 227.232.2.178 to 227.232.2.178 | — | 1 |
| 180 | 227.232.2.179/32 | 227.232.2.179 to 227.232.2.179 | — | 1 |
| 181 | 227.232.2.180/32 | 227.232.2.180 to 227.232.2.180 | — | 1 |
| 182 | 227.232.2.181/32 | 227.232.2.181 to 227.232.2.181 | — | 1 |
| 183 | 227.232.2.182/32 | 227.232.2.182 to 227.232.2.182 | — | 1 |
| 184 | 227.232.2.183/32 | 227.232.2.183 to 227.232.2.183 | — | 1 |
| 185 | 227.232.2.184/32 | 227.232.2.184 to 227.232.2.184 | — | 1 |
| 186 | 227.232.2.185/32 | 227.232.2.185 to 227.232.2.185 | — | 1 |
| 187 | 227.232.2.186/32 | 227.232.2.186 to 227.232.2.186 | — | 1 |
| 188 | 227.232.2.187/32 | 227.232.2.187 to 227.232.2.187 | — | 1 |
| 189 | 227.232.2.188/32 | 227.232.2.188 to 227.232.2.188 | — | 1 |
| 190 | 227.232.2.189/32 | 227.232.2.189 to 227.232.2.189 | — | 1 |
| 191 | 227.232.2.190/32 | 227.232.2.190 to 227.232.2.190 | — | 1 |
| 192 | 227.232.2.191/32 | 227.232.2.191 to 227.232.2.191 | — | 1 |
| 193 | 227.232.2.192/32 | 227.232.2.192 to 227.232.2.192 | — | 1 |
| 194 | 227.232.2.193/32 | 227.232.2.193 to 227.232.2.193 | — | 1 |
| 195 | 227.232.2.194/32 | 227.232.2.194 to 227.232.2.194 | — | 1 |
| 196 | 227.232.2.195/32 | 227.232.2.195 to 227.232.2.195 | — | 1 |
| 197 | 227.232.2.196/32 | 227.232.2.196 to 227.232.2.196 | — | 1 |
| 198 | 227.232.2.197/32 | 227.232.2.197 to 227.232.2.197 | — | 1 |
| 199 | 227.232.2.198/32 | 227.232.2.198 to 227.232.2.198 | — | 1 |
| 200 | 227.232.2.199/32 | 227.232.2.199 to 227.232.2.199 | — | 1 |
| 201 | 227.232.2.200/32 | 227.232.2.200 to 227.232.2.200 | — | 1 |
| 202 | 227.232.2.201/32 | 227.232.2.201 to 227.232.2.201 | — | 1 |
| 203 | 227.232.2.202/32 | 227.232.2.202 to 227.232.2.202 | — | 1 |
| 204 | 227.232.2.203/32 | 227.232.2.203 to 227.232.2.203 | — | 1 |
| 205 | 227.232.2.204/32 | 227.232.2.204 to 227.232.2.204 | — | 1 |
| 206 | 227.232.2.205/32 | 227.232.2.205 to 227.232.2.205 | — | 1 |
| 207 | 227.232.2.206/32 | 227.232.2.206 to 227.232.2.206 | — | 1 |
| 208 | 227.232.2.207/32 | 227.232.2.207 to 227.232.2.207 | — | 1 |
| 209 | 227.232.2.208/32 | 227.232.2.208 to 227.232.2.208 | — | 1 |
| 210 | 227.232.2.209/32 | 227.232.2.209 to 227.232.2.209 | — | 1 |
| 211 | 227.232.2.210/32 | 227.232.2.210 to 227.232.2.210 | — | 1 |
| 212 | 227.232.2.211/32 | 227.232.2.211 to 227.232.2.211 | — | 1 |
| 213 | 227.232.2.212/32 | 227.232.2.212 to 227.232.2.212 | — | 1 |
| 214 | 227.232.2.213/32 | 227.232.2.213 to 227.232.2.213 | — | 1 |
| 215 | 227.232.2.214/32 | 227.232.2.214 to 227.232.2.214 | — | 1 |
| 216 | 227.232.2.215/32 | 227.232.2.215 to 227.232.2.215 | — | 1 |
| 217 | 227.232.2.216/32 | 227.232.2.216 to 227.232.2.216 | — | 1 |
| 218 | 227.232.2.217/32 | 227.232.2.217 to 227.232.2.217 | — | 1 |
| 219 | 227.232.2.218/32 | 227.232.2.218 to 227.232.2.218 | — | 1 |
| 220 | 227.232.2.219/32 | 227.232.2.219 to 227.232.2.219 | — | 1 |
| 221 | 227.232.2.220/32 | 227.232.2.220 to 227.232.2.220 | — | 1 |
| 222 | 227.232.2.221/32 | 227.232.2.221 to 227.232.2.221 | — | 1 |
| 223 | 227.232.2.222/32 | 227.232.2.222 to 227.232.2.222 | — | 1 |
| 224 | 227.232.2.223/32 | 227.232.2.223 to 227.232.2.223 | — | 1 |
| 225 | 227.232.2.224/32 | 227.232.2.224 to 227.232.2.224 | — | 1 |
| 226 | 227.232.2.225/32 | 227.232.2.225 to 227.232.2.225 | — | 1 |
| 227 | 227.232.2.226/32 | 227.232.2.226 to 227.232.2.226 | — | 1 |
| 228 | 227.232.2.227/32 | 227.232.2.227 to 227.232.2.227 | — | 1 |
| 229 | 227.232.2.228/32 | 227.232.2.228 to 227.232.2.228 | — | 1 |
| 230 | 227.232.2.229/32 | 227.232.2.229 to 227.232.2.229 | — | 1 |
| 231 | 227.232.2.230/32 | 227.232.2.230 to 227.232.2.230 | — | 1 |
| 232 | 227.232.2.231/32 | 227.232.2.231 to 227.232.2.231 | — | 1 |
| 233 | 227.232.2.232/32 | 227.232.2.232 to 227.232.2.232 | — | 1 |
| 234 | 227.232.2.233/32 | 227.232.2.233 to 227.232.2.233 | — | 1 |
| 235 | 227.232.2.234/32 | 227.232.2.234 to 227.232.2.234 | — | 1 |
| 236 | 227.232.2.235/32 | 227.232.2.235 to 227.232.2.235 | — | 1 |
| 237 | 227.232.2.236/32 | 227.232.2.236 to 227.232.2.236 | — | 1 |
| 238 | 227.232.2.237/32 | 227.232.2.237 to 227.232.2.237 | — | 1 |
| 239 | 227.232.2.238/32 | 227.232.2.238 to 227.232.2.238 | — | 1 |
| 240 | 227.232.2.239/32 | 227.232.2.239 to 227.232.2.239 | — | 1 |
| 241 | 227.232.2.240/32 | 227.232.2.240 to 227.232.2.240 | — | 1 |
| 242 | 227.232.2.241/32 | 227.232.2.241 to 227.232.2.241 | — | 1 |
| 243 | 227.232.2.242/32 | 227.232.2.242 to 227.232.2.242 | — | 1 |
| 244 | 227.232.2.243/32 | 227.232.2.243 to 227.232.2.243 | — | 1 |
| 245 | 227.232.2.244/32 | 227.232.2.244 to 227.232.2.244 | — | 1 |
| 246 | 227.232.2.245/32 | 227.232.2.245 to 227.232.2.245 | — | 1 |
| 247 | 227.232.2.246/32 | 227.232.2.246 to 227.232.2.246 | — | 1 |
| 248 | 227.232.2.247/32 | 227.232.2.247 to 227.232.2.247 | — | 1 |
| 249 | 227.232.2.248/32 | 227.232.2.248 to 227.232.2.248 | — | 1 |
| 250 | 227.232.2.249/32 | 227.232.2.249 to 227.232.2.249 | — | 1 |
| 251 | 227.232.2.250/32 | 227.232.2.250 to 227.232.2.250 | — | 1 |
| 252 | 227.232.2.251/32 | 227.232.2.251 to 227.232.2.251 | — | 1 |
| 253 | 227.232.2.252/32 | 227.232.2.252 to 227.232.2.252 | — | 1 |
| 254 | 227.232.2.253/32 | 227.232.2.253 to 227.232.2.253 | — | 1 |
| 255 | 227.232.2.254/32 | 227.232.2.254 to 227.232.2.254 | — | 1 |
| 256 | 227.232.2.255/32 | 227.232.2.255 to 227.232.2.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |